package com.caimei365.product.controller;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.reactive.function.client.WebClient;
import reactor.core.publisher.Mono;

import javax.annotation.Resource;


/**
 * Description
 *
 * @author : Charles
 * @date : 2021/02/20
 */
@RequestMapping("/product")
@RestController
public class TestApi {

    @GetMapping("/test")
    public String getTestString() {
        return "test product";
    }


    /*@Resource
    UserFeign userFeign;
    @GetMapping("/user")
    public String getUserFeign() {
        return "user openfeign:" + userFeign.sayHi();
    }*/


    @Resource
    private WebClient.Builder clientBuilder;
    private static final String BASE_URL = "http://caimei365-cloud-user";
    @GetMapping("/user")
    public Mono<String> getServerString() {
        return clientBuilder.baseUrl(BASE_URL).build().get().uri("/user/test").retrieve().bodyToMono(String.class);
    }

}
